Latest version error

Pazleysox

Member
I'm getting a Java error when I try and use the latest daily build. I have for some time now, so I use an old version.

A JNI error has occurred, please check your installation and try again.

I just updated my java, and got the same thing... Any suggestions?
 

Magus_Prime

Active member
  • What version of Java are you running?
  • What OS?
  • Do you have more than one version of Java installed?
  • What version of KoLmafia is working for you?
 

fronobulax

Developer
Staff member
When does the error occur? When you start up? After seeing the login screen and trying to log in? Any debug logs created?

Note that if you open a command window and then run KoLmafia from the command line there are a couple of messages that will be written to the command window but don't appear anywhere else. That may be the next step once the Java version issues are eliminated.
 

Pazleysox

Member
  • What version of Java are you running?
  • What OS?
  • Do you have more than one version of Java installed?
  • What version of KoLmafia is working for you?
Java v8 update 311
Windows 10 on an ASUS machine
Only 1 version of java
running build 20777 (I know I'm really behind)
When does the error occur? When you start up? After seeing the login screen and trying to log in? Any debug logs created?

Note that if you open a command window and then run KoLmafia from the command line there are a couple of messages that will be written to the command window but don't appear anywhere else. That may be the next step once the Java version issues are eliminated.
Error occurs immediately at double click of program, I can get no further. No debug logs.
I went through the command.com route, and got this:
'kolmafia-25859' is not recognized as an internal or external command,
operable program or batch file.
When do this: path=C:\program files\java\jre1.8.0_311\bin
and run it as
java -jar kolmafia-25859
(which is what I use to run mafia from a command line for various other accounts, such as my old chatbot)
Error: Unable to access jarfile kolmafia-25859
when I do this now:
java -jar kolmafia-20777
I get the same error. I'm unable to load my old bots.
 

fronobulax

Developer
Staff member

Please update to Java 11, at least and better yet Java 17, and try again.
 
Top